function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React from 'react';
import { OldIcon } from '../..';
import { Display } from '../../common/Display';
var meta = {
  title: 'Atoms / OldIcon'
};
export default meta;
export var DefaultUse = {
  render: function render() {
    return React.createElement(OldIcon.ArrowRight, null);
  }
};
export var Inline = {
  render: function render() {
    return React.createElement(React.Fragment, null, "You can put the ", React.createElement(OldIcon.ArrowRight, {
      inline: true
    }), " directly in the text with inline prop!");
  }
};
export var ThinArrow = {
  render: function render() {
    return React.createElement(OldIcon.ThinArrow, {
      direction: "up"
    });
  }
};
export var ThinChevron = {
  render: function render() {
    return React.createElement(OldIcon.ThinChevron, {
      direction: "up"
    });
  }
};
export var Chevron = {
  render: function render() {
    return React.createElement(OldIcon.Chevron, {
      direction: "up"
    });
  }
};
export var SortArrow = {
  render: function render() {
    return React.createElement(OldIcon.SortArrow, {
      direction: "ascending"
    });
  }
};
export var Account = {
  render: function render() {
    return React.createElement(OldIcon.Account, {
      size: 10,
      fill: function fill(t) {
        return t.color.backgroundBlack;
      }
    });
  }
};
export var CalendarO = {
  render: function render() {
    return React.createElement(OldIcon.CalendarO, {
      size: 10,
      fill: function fill(t) {
        return t.color.backgroundBlack;
      }
    });
  }
};
export var Faq = {
  render: function render() {
    return React.createElement(OldIcon.FAQ, {
      size: 10,
      fill: function fill(t) {
        return t.color.cta;
      }
    });
  }
};
export var Percent = {
  render: function render() {
    return React.createElement(OldIcon.Percent, {
      size: 10,
      fill: function fill(t) {
        return t.color.backgroundBlack;
      }
    });
  }
};
export var Profile = {
  render: function render() {
    return React.createElement(OldIcon.Profile, {
      size: 10,
      fill: function fill(t) {
        return t.color.backgroundBlack;
      }
    });
  }
};
export var ThreeDotsO = {
  render: function render() {
    return React.createElement(OldIcon.ThreeDotsO, {
      size: 10,
      fill: function fill(t) {
        return t.color.backgroundBlack;
      }
    });
  }
};
export var TaxPercentage = {
  render: function render() {
    return React.createElement(OldIcon.TaxPercentage, {
      size: 10,
      fill: function fill(t) {
        return t.color.backgroundBlack;
      }
    });
  }
};
export var Transfer = {
  render: function render() {
    return React.createElement(OldIcon.Transfer, {
      size: 10,
      fill: function fill(t) {
        return t.color.backgroundBlack;
      }
    });
  }
};
export var UrgentMessage = {
  render: function render() {
    return React.createElement(OldIcon.UrgentMessage, {
      size: 10,
      fill: function fill(t) {
        return t.color.text;
      },
      stroke: function stroke(t) {
        return t.color.negative;
      }
    });
  }
};
export var DifferentSizeAndFill = {
  render: function render() {
    return React.createElement(OldIcon.ArrowRight, {
      size: 10,
      fill: function fill(t) {
        return t.color.positive;
      }
    });
  }
};
export var WithModifiedStroke = {
  render: function render() {
    return React.createElement(Display, {
      items: [{
        title: 'Star with stroke modified',
        component: React.createElement(OldIcon.Star, {
          size: 10,
          stroke: function stroke(t) {
            return t.color.positive;
          }
        })
      }, {
        title: 'CrossThin with stroke modified',
        component: React.createElement(OldIcon.CrossThin, {
          size: 10,
          stroke: function stroke(t) {
            return t.color.positive;
          }
        })
      }, {
        title: 'CheckMarkCircle with stroke modified',
        component: React.createElement(OldIcon.CheckMarkCircle, {
          size: 10,
          fill: function fill(t) {
            return t.color.positive;
          },
          stroke: function stroke(t) {
            return t.color.negative;
          }
        })
      }, {
        title: 'CrossCircle with stroke modified',
        component: React.createElement(OldIcon.CrossCircle, {
          size: 10,
          fill: function fill(t) {
            return t.color.positive;
          },
          stroke: function stroke(t) {
            return t.color.negative;
          }
        })
      }, {
        title: 'InfoCircle with stroke modified',
        component: React.createElement(OldIcon.InfoCircle, {
          size: 10,
          fill: function fill(t) {
            return t.color.positive;
          },
          stroke: function stroke(t) {
            return t.color.negative;
          }
        })
      }, {
        title: 'WarningTriangle with stroke modified',
        component: React.createElement(OldIcon.WarningTriangle, {
          size: 10,
          fill: function fill(t) {
            return t.color.positive;
          },
          stroke: function stroke(t) {
            return t.color.negative;
          }
        })
      }, {
        title: 'Star24 with both stroke modified',
        component: React.createElement(OldIcon.Star24, {
          size: 10,
          stroke: function stroke(t) {
            return t.color.positive;
          }
        })
      }, {
        title: 'Star24 with both stroke and fill modified',
        component: React.createElement(OldIcon.Star24, {
          size: 10,
          fill: function fill(t) {
            return t.color.positive;
          },
          stroke: function stroke(t) {
            return t.color.positive;
          }
        })
      }]
    });
  }
};
export var AvailableOldIcons = {
  render: function render() {
    var _Object$entries;
    return React.createElement(Display, {
      items: Object === null || Object === void 0 || (_Object$entries = Object.entries(OldIcon)) === null || _Object$entries === void 0 ? void 0 : _Object$entries.map(function (_ref) {
        var _ref2 = _slicedToArray(_ref, 2),
          iconName = _ref2[0],
          IconComponent = _ref2[1];
        return {
          title: iconName,
          component: React.createElement("div", {
            style: {
              outline: '1px dashed #bbb',
              display: 'inline-block'
            }
          }, React.createElement(IconComponent, iconName === 'SharevilleLogo' ? {
            id: 'shareville-logo'
          } : {}))
        };
      })
    });
  }
};
export var AllOldIconsColored = {
  render: function render() {
    var _Object$entries2;
    return React.createElement(React.Fragment, null, Object === null || Object === void 0 || (_Object$entries2 = Object.entries(OldIcon)) === null || _Object$entries2 === void 0 ? void 0 : _Object$entries2.map(function (_ref3) {
      var _ref4 = _slicedToArray(_ref3, 2),
        key = _ref4[0],
        IconComponent = _ref4[1];
      return React.createElement("div", {
        key: key,
        style: {
          outline: '1px dashed #bbb',
          display: 'inline-block'
        }
      }, React.createElement(IconComponent, _extends({
        color: function color(t) {
          return t.color.cta;
        },
        fill: function fill(t) {
          return t.color.cta;
        }
      }, key === 'SharevilleLogo' ? {
        id: 'shareville-logo'
      } : {})));
    }));
  },
  name: 'All old icons (colored)'
};